Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingParser

- org.grails.web.mapping.DefaultUrlMappingParser

- All Implemented Interfaces and Traits:
    UrlMappingParser

      public class DefaultUrlMappingParser
      extends java.lang.Object
      implements UrlMappingParser

  A simple implementation of the UrlMappingParser interface. Most of the logical is encapsulated in the DefaultUrlMappingData class.

  See Also:
    DefaultUrlMappingData
  Authors:
    Graeme Rocher
  Since:
    0.5

    Created: Mar 5, 2007 Time: 8:35:26 AM

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public UrlMappingData` | `parse(java.lang.String url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public UrlMappingData parse(java.lang.String url)